{namespace twoh=TWOH\TwohKickstarter\ViewHelpers}

<f:layout name="Boxed"/>

<f:section name="content">
    <div class="slider-container">
        <div id="headline-slider" class="carousel slide position-relative d-block">
            <div class="carousel-inner">
                <f:for each="{children_101}" as="record" iteration="iterator">
                    <div class="carousel-item {f:if(condition: '{iterator.isFirst}', then: 'active')}">
                        <f:format.raw>
                            {record.renderedContent}
                        </f:format.raw>

                        <div class="d-flex h5 px-md-4 px-4 m-0 position-absolute bottom-17 text-white" style="max-width: 40%">
                            <span><h2 class="sliderheadline h2 mb-0 text-grad-darkBlue-green">{record.header}</h2></span>
                        </div>
                        <div class="d-flex h5 pl-30 m-0 position-absolute mb-md-8 mb-10 bottom-0 text-white">
                            <button type="button"
                                    class="btn btn-hover-blue text-darkBlue rounded-pill py-1 px-3 text-uppercase btn-outline-darkBlue bg-transparent">
                                <span>
                                    <h10 class="h10 mb-0 text-uppercase">
                                        <f:translate key="LLL:EXT:twoh_template_override_x/Resources/Private/Language/locallang.xlf:more" />
                                    </h10>
                                </span>
                            </button>
                        </div>
                    </div>
                </f:for>
            </div>
        </div>

        <div class="px-md-4 px-4 slider-btns position-absolute d-flex mb-10 bottom-0 align-items-center">
            <a class="prev-button">
                <twoh:svg svgPath="SG_Pfeil_l.svg" />
            </a>
            <span class="slide-counter mx-1 text-darkBlue"></span>
            <a class="next-button">
                <twoh:svg svgPath="SG_Pfeil_r.svg" />
            </a>
        </div>
        <f:if condition="{flexform.displayArrow} === '1'">
            <div class="d-flex justify-content-center">
                <div class="down-arrow position-absolute text-center">
                    <h9 class="h9 mb-0 text-darkBlue text-uppercase d-block">
                        <f:translate key="LLL:EXT:twoh_template_override_x/Resources/Private/Language/locallang.xlf:scroll_down" />
                    </h9>
                    <img class="my-1" width="50" height="50" src="/fileadmin/Icons/SG_Scroll.svg">
                </div>
            </div>
        </f:if>
    </div>
</f:section>